Bug 1574819 - IPA uninstall does not clean up entries added in ntp.conf file.
Summary: IPA uninstall does not clean up entries added in ntp.conf file.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 06:03 UTC by Sudhir Menon
Modified: 2018-06-08 09:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:24:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sudhir Menon 2018-05-04 06:03:58 UTC
Description of problem: IPA uninstall does not clean up entries added in ntpd.conf file.

Version-Release number of selected component (if applicable):
ipa-server-4.5.4-10.el7_5.1.x86_64
ntp-4.2.6p5-28.el7.x86_64

How reproducible: Always.

Steps to Reproduce:
1. Install IPA Server
2. Check the /etc/ntp.conf file
3. Now Uninstall IPA server
4. Check the /etc/ntp.conf file.

Actual results:
2.  Below entry is added in ntp.conf

### Added by IPA Installer ###
server 127.127.1.0 iburst
fudge 127.127.1.0 stratum 10

4.  The entry is not removed post uninstall

### Added by IPA Installer ###
server 127.127.1.0 iburst
fudge 127.127.1.0 stratum 10

Expected results:
The entries added in ntp.conf file should be removed.

Additional info:
2018-05-03T13:19:52Z DEBUG Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
2018-05-03T13:19:52Z DEBUG Loading Index file from '/var/lib/ipa/sysrestore/sysrestore.index'
2018-05-03T13:19:52Z DEBUG Unconfiguring ntpd
2018-05-03T13:19:52Z DEBUG Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
2018-05-03T13:19:52Z DEBUG Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
2018-05-03T13:19:52Z DEBUG Saving StateFile to '/var/lib/ipa/sysrestore/sysrestore.state'
2018-05-03T13:19:52Z DEBUG Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
2018-05-03T13:19:52Z DEBUG Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
2018-05-03T13:19:52Z DEBUG Saving StateFile to '/var/lib/ipa/sysrestore/sysrestore.state'
2018-05-03T13:19:52Z DEBUG Starting external process
2018-05-03T13:19:52Z DEBUG args=/bin/systemctl stop ntpd.service
2018-05-03T13:19:52Z DEBUG Process finished, return code=0
2018-05-03T13:19:52Z DEBUG stdout=
2018-05-03T13:19:52Z DEBUG stderr=
2018-05-03T13:19:52Z DEBUG Starting external process
2018-05-03T13:19:52Z DEBUG args=/bin/systemctl disable ntpd.service
2018-05-03T13:19:52Z DEBUG Process finished, return code=0
2018-05-03T13:19:52Z DEBUG stdout=
2018-05-03T13:19:52Z DEBUG stderr=
2018-05-03T13:19:52Z DEBUG Restoring system configuration file '/etc/ntp.conf'
2018-05-03T13:19:52Z DEBUG No such file name in the index

Comment 2 Florence Blanc-Renaud 2018-05-29 12:24:33 UTC
Upstream freeipa has removed dependency on ntp with the fix for 7024 - freeipa depends on ntp [1], committed in the master branch, that will land in the next upstream release (4.7 at this time).

[1] https://pagure.io/freeipa/issue/7024

Comment 3 Florence Blanc-Renaud 2018-06-08 09:07:18 UTC
Moving to DEFERRED as it better characterizes the current situation. The bug won't be fixed in 4.5 branch, and changes done on the master branch make the issue irrelevant in future branches.


Note You need to log in before you can comment on or make changes to this bug.